org.eclipse.gef4.zest.core.widgets.decoration

## Class AbstractConnectionDecorator

- java.lang.Object
- - org.eclipse.gef4.zest.core.widgets.decoration.AbstractConnectionDecorator

All Implemented Interfaces:
  IConnectionDecorator

Direct Known Subclasses:
  DirectedConnectionDecorator

    public abstract class AbstractConnectionDecorator
    extends java.lang.Object
    implements IConnectionDecorator

### Constructor Summary

Constructors
Constructor and Description
`AbstractConnectionDecorator()`

### Method Summary

Methods
`abstract org.eclipse.draw2d.RotatableDecoration` `createSourceDecoration(GraphConnection connection)` Creates a source decoration for the connection
`abstract org.eclipse.draw2d.RotatableDecoration` `createTargetDecoration(GraphConnection connection)` Creates a target decoration for the connection
`void` `decorateConnection(GraphConnection connection, org.eclipse.draw2d.PolylineConnection figure)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractConnectionDecorator

    public AbstractConnectionDecorator()

### Method Detail

#### createSourceDecoration

    public abstract org.eclipse.draw2d.RotatableDecoration createSourceDecoration(GraphConnection connection)

Creates a source decoration for the connection

Returns:
  the provided source decoration, or null if not applicable

#### createTargetDecoration

    public abstract org.eclipse.draw2d.RotatableDecoration createTargetDecoration(GraphConnection connection)

Creates a target decoration for the connection

Returns:
  the provided target decoration, or null if not applicable

#### decorateConnection

    public void decorateConnection(GraphConnection connection,
                          org.eclipse.draw2d.PolylineConnection figure)

Specified by:
  `decorateConnection` in interface `IConnectionDecorator`